;
; nagoya gulf east big bridge
;

Area( 5 N35:03:01 E136:52:53.3 25 )
	PerspectiveCall( :L1 )
	ShadowCall( :Shadow )
	Jump( : )

:L1
	Perspective
:Shadow
	Refpoint( 7 :No_object 1 N35:03:01 E136:52:53.3 )
	RotatedCall( :L2 0 0 10 )
:No_object
	Return

:L2
	VectorJump( :fromS m 0 0 32767 0 )
	VectorJump( :fromNW m 32767 0 0 0 )

	; from north east
	TransformCall( :Pole -210 0 0  0 0 0 0 0 0 ) ; SW
	TransformCall( :Pole  210 0 0  0 0 0 0 0 0 ) ; SE
	Call( :Road )
	TransformCall( :Pole -210 0 0  0 0 0 0 180 0 ) ; NW
	TransformCall( :Pole  210 0 0  0 0 0 0 180 0 ) ; NE
	Return

:fromNW
	; from north east
	TransformCall( :Pole  210 0 0  0 0 0 0 0 0 ) ; SE
	TransformCall( :Pole -210 0 0  0 0 0 0 0 0 ) ; SW
	Call( :Road )
	TransformCall( :Pole  210 0 0  0 0 0 0 180 0 ) ; NE
	TransformCall( :Pole -210 0 0  0 0 0 0 180 0 ) ; NW
	Return

	; from south
:fromS
	VectorJump( :fromSW m 32767 0 0 0 )

	; from north east
	TransformCall( :Pole -210 0 0  0 0 0 0 180 0 ) ; NW
	TransformCall( :Pole  210 0 0  0 0 0 0 180 0 ) ; NE
	Call( :Road )
	TransformCall( :Pole -210 0 0   0 0 0 0 0 0 ) ; SW
	TransformCall( :Pole  210 0 0   0 0 0 0 0 0 ) ; SE
	Return

:fromSW
	; from north east
	TransformCall( :Pole  210 0 0  0 0 0 0 180 0 ) ; NE
	TransformCall( :Pole -210 0 0  0 0 0 0 180 0 ) ; NW
	Call( :Road )
	TransformCall( :Pole  210 0 0   0 0 0 0 0 0 ) ; SE
	TransformCall( :Pole -210 0 0   0 0 0 0 0 0 ) ; SW
	Return

:Pole
	VectorJump( :PoleW m 32767 0 0 0 )
	
	Call( :WestLine )
	Call( :PoleMain )
	Call( :EastLine )
	Return

:PoleW
	Call( :EastLine )
	Call( :PoleMain )
	Call( :WestLine )
	Return

:PoleMain
	Points( 0
		3  0    -12	; 0
		3  36   -18
		3  125  -5
		3  125  0
		3  121  0
		3  121  -1
		3  82   -7
		3  82   0
		3  78   0
		3  78   -8
		3  36   -14
		3  0    -8

		-3  0    -12	; 12
		-3  36   -18
		-3  125  -5
		-3  125  0
		-3  121  0
		-3  121  -1
		-3  82   -7
		-3  82   0
		-3  78   0
		-3  78   -8
		-3  36   -14
		-3  0    -8

		0  125  -5	; 24 for light
	)

	SurfaceColor( 0E F0 )
	Poly( ai 10 11 23 22 )
	Poly( ai 9 10 22 21 )
	Poly( a 6 7 19 18 )
	Poly( ai 5 6 18 17 )

	Poly( a 0 1 13 12 )
	Poly( a 1 2 14 13 )
	Poly( a 2 3 15 14 )

	ConcavePoly
	Poly( a 0  1  2  3  4  5  6  7  8  9 10 11 )
	ConcavePoly
	Poly( a 12 13 14 15 16 17 18 19 20 21 22 23 )

	IfVarRange( :no_light 28C 2 4 )
	IfVarAnd( :no_light 282 3333 )
	LineColor( 15 F0 )
	DotPt( 24 )
:no_light
	Return	

:EastLine
	Points( 0
		3    121  -3  
		3    110  -5  
		3    100   -6  
		3    89   -8  
		3    78   -10 

		190  36   -14  
		155  36   -14  
		120  36   -14  
		85   36   -14  
		50   36   -14  
	)
	LineColor( 04 F0 )
	MoveToPt( 0 )
	DrawToPt( 5 )
	MoveToPt( 1 )
	DrawToPt( 6 )
	MoveToPt( 2 )
	DrawToPt( 7 )
	MoveToPt( 3 )
	DrawToPt( 8 )
	MoveToPt( 4 )
	DrawToPt( 9 )
	Return	

:WestLine
	Points( 0
		-3    121  -3  
		-3    110  -5  
		-3    100   -6  
		-3    89   -8  
		-3    78   -10 

		-145  36   -14  
		-121  36   -14  
		-98   36   -14  
		-74   36   -14  
		-50   36   -14  
	)
	LineColor( 04 F0 )
	MoveToPt( 0 )
	DrawToPt( 5 )
	MoveToPt( 1 )
	DrawToPt( 6 )
	MoveToPt( 2 )
	DrawToPt( 7 )
	MoveToPt( 3 )
	DrawToPt( 8 )
	MoveToPt( 4 )
	DrawToPt( 9 )
	Return	

:Road
	Points( 0
		400  32 -14	; 0
		400  36 -14
		400  36 14
		400  32 14

		-400  32 -14	; 4
		-400  36 -14
		-400  36 14
		-400  32 14
	)
	SurfaceColor( 04 F0 )
	Poly( a 0 1 5 4 )
	Poly( a 2 3 7 6 )
	SurfaceColor( 03 F0 )
	Poly( a 1 2 6 5 )
	Return

EndA


